## net.dontdrinkandroot.lastfm.api.model
Class Price

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.model.LfmEntity
          net.dontdrinkandroot.lastfm.api.model.Price

All Implemented Interfaces:
  java.io.Serializable, AmountEntity, CurrencyEntity, Entity

    public class Price

extends LfmEntity
implements CurrencyEntity, AmountEntity

See Also:
  Serialized Form

Constructor Summary
`Price(org.w3c.dom.Element element)` Creates a `Price` from a DOM `Element`.

Method Summary
`java.lang.Float` `getAmount()`
`java.lang.String` `getCurrency()`
`void` `setAmount(java.lang.Float amount)`
`void` `setCurrency(java.lang.String currency)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Price

    public Price(org.w3c.dom.Element element)

  Creates a `Price` from a DOM `Element`.

  Parameters:
    `element` - The `Element` to parse.

Method Detail

### getAmount

    public java.lang.Float getAmount()

  Specified by:
    `getAmount` in interface `AmountEntity`

### setAmount

    public void setAmount(java.lang.Float amount)

  Specified by:
    `setAmount` in interface `AmountEntity`

### getCurrency

    public java.lang.String getCurrency()

  Specified by:
    `getCurrency` in interface `CurrencyEntity`

### setCurrency

    public void setCurrency(java.lang.String currency)

  Specified by:
    `setCurrency` in interface `CurrencyEntity`

Copyright © 2012. All Rights Reserved.